package cn.iocoder.yudao.module.employee.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * System 错误码枚举类
 *
 * system 系统，使用 1-002-000-000 段
 */
public interface ErrorCodeConstants {

    // ========== 员工模块 1-002-000-000 ==========
    ErrorCode EMPLOYEE_INFO_NOT_EXISTS = new ErrorCode(1_010_000_000, "员工信息不存在");
    ErrorCode EMPLOYEE_INFO_EXISTS = new ErrorCode(1_010_000_001, "员工信息已存在");
    ErrorCode EMPLOYEE_CONTRACT_INFO_NOT_EXISTS = new ErrorCode(1_010_000_002, "员工合同信息不存在");

}
